/*!
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { NodeEntry } from '@alfresco/js-api';
export declare class FileActionsApi {
    private apiService;
    constructor();
    static initialize(userName: string, password?: string): Promise<FileActionsApi>;
    uploadFile(fileLocation: string, fileName: string, parentFolderId: string): Promise<NodeEntry>;
    uploadFileWithRename(fileLocation: string, newName: string, parentId?: string, title?: string, description?: string): Promise<NodeEntry>;
    lockNodes(nodeIds: string[], lockType?: string): Promise<void>;
    getNodeById(id: string): Promise<NodeEntry | null>;
    getNodeProperty(nodeId: string, property: string): Promise<string>;
    private getLockType;
    isFileLockedWriteWithRetry(nodeId: string, expect: boolean): Promise<boolean>;
    private queryNodesNames;
    waitForNodes(searchTerm: string, data: {
        expect: number;
    }): Promise<void>;
    updateNodeContent(nodeId: string, content: string, majorVersion?: boolean, comment?: string, newName?: string): Promise<NodeEntry>;
}
